Package com.google.earth.kml._2

# Class LinkType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.LinkType

Direct Known Subclasses:
  `IconType`

public class LinkType extends ObjectType
Not final="#all" to show how IconType extended LinkType in KML 2.0. <p>Java class for LinkType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LinkType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <sequence> <element name="href" type="{http://www.w3.org/2001/XMLSchema}anyURI" minOccurs="0"/> <element name="refreshMode" type="{http://earth.google.com/kml/2.1}refreshModeEnum" minOccurs="0"/> <element name="refreshInterval" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="viewRefreshMode" type="{http://earth.google.com/kml/2.1}viewRefreshModeEnum" minOccurs="0"/> <element name="viewRefreshTime" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="viewBoundScale" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="viewFormat" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> <element name="httpQuery" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `href`
  `protected String`
  `httpQuery`
  `protected Float`
  `refreshInterval`
  `protected RefreshModeEnum`
  `refreshMode`
  `protected Float`
  `viewBoundScale`
  `protected String`
  `viewFormat`
  `protected ViewRefreshModeEnum`
  `viewRefreshMode`
  `protected Float`
  `viewRefreshTime`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHref()`
  Gets the value of the href property.
  `String`
  `getHttpQuery()`
  Gets the value of the httpQuery property.
  `Float`
  `getRefreshInterval()`
  Gets the value of the refreshInterval property.
  `RefreshModeEnum`
  `getRefreshMode()`
  Gets the value of the refreshMode property.
  `Float`
  `getViewBoundScale()`
  Gets the value of the viewBoundScale property.
  `String`
  `getViewFormat()`
  Gets the value of the viewFormat property.
  `ViewRefreshModeEnum`
  `getViewRefreshMode()`
  Gets the value of the viewRefreshMode property.
  `Float`
  `getViewRefreshTime()`
  Gets the value of the viewRefreshTime property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.
  `void`
  `setHttpQuery(String value)`
  Sets the value of the httpQuery property.
  `void`
  `setRefreshInterval(Float value)`
  Sets the value of the refreshInterval property.
  `void`
  `setRefreshMode(RefreshModeEnum value)`
  Sets the value of the refreshMode property.
  `void`
  `setViewBoundScale(Float value)`
  Sets the value of the viewBoundScale property.
  `void`
  `setViewFormat(String value)`
  Sets the value of the viewFormat property.
  `void`
  `setViewRefreshMode(ViewRefreshModeEnum value)`
  Sets the value of the viewRefreshMode property.
  `void`
  `setViewRefreshTime(Float value)`
  Sets the value of the viewRefreshTime property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### href

    protected String href

  - ### refreshMode

    protected RefreshModeEnum refreshMode

  - ### refreshInterval

    protected Float refreshInterval

  - ### viewRefreshMode

    protected ViewRefreshModeEnum viewRefreshMode

  - ### viewRefreshTime

    protected Float viewRefreshTime

  - ### viewBoundScale

    protected Float viewBoundScale

  - ### viewFormat

    protected String viewFormat

  - ### httpQuery

    protected String httpQuery

- ## Constructor Details

  - ### LinkType

    public LinkType()

- ## Method Details

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRefreshMode

    public RefreshModeEnum getRefreshMode()
    Gets the value of the refreshMode property.
    Returns:
      possible object is `RefreshModeEnum`

  - ### setRefreshMode

    public void setRefreshMode(RefreshModeEnum value)
    Sets the value of the refreshMode property.
    Parameters:
      `value` - allowed object is `RefreshModeEnum`

  - ### getRefreshInterval

    public Float getRefreshInterval()
    Gets the value of the refreshInterval property.
    Returns:
      possible object is `Float`

  - ### setRefreshInterval

    public void setRefreshInterval(Float value)
    Sets the value of the refreshInterval property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getViewRefreshMode

    public ViewRefreshModeEnum getViewRefreshMode()
    Gets the value of the viewRefreshMode property.
    Returns:
      possible object is `ViewRefreshModeEnum`

  - ### setViewRefreshMode

    public void setViewRefreshMode(ViewRefreshModeEnum value)
    Sets the value of the viewRefreshMode property.
    Parameters:
      `value` - allowed object is `ViewRefreshModeEnum`

  - ### getViewRefreshTime

    public Float getViewRefreshTime()
    Gets the value of the viewRefreshTime property.
    Returns:
      possible object is `Float`

  - ### setViewRefreshTime

    public void setViewRefreshTime(Float value)
    Sets the value of the viewRefreshTime property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getViewBoundScale

    public Float getViewBoundScale()
    Gets the value of the viewBoundScale property.
    Returns:
      possible object is `Float`

  - ### setViewBoundScale

    public void setViewBoundScale(Float value)
    Sets the value of the viewBoundScale property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getViewFormat

    public String getViewFormat()
    Gets the value of the viewFormat property.
    Returns:
      possible object is `String`

  - ### setViewFormat

    public void setViewFormat(String value)
    Sets the value of the viewFormat property.
    Parameters:
      `value` - allowed object is `String`

  - ### getHttpQuery

    public String getHttpQuery()
    Gets the value of the httpQuery property.
    Returns:
      possible object is `String`

  - ### setHttpQuery

    public void setHttpQuery(String value)
    Sets the value of the httpQuery property.
    Parameters:
      `value` - allowed object is `String`